# Method: projects.locations.glossaries.list

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.ListGlossariesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/list#try-it)

Lists glossaries in a project. Returns NOT_FOUND, if the project doesn't exist.

### HTTP request

`GET https://translate.googleapis.com/v3beta1/{parent=projects/*/locations/*}/glossaries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project from which to list all of the glossaries. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `cloudtranslate.glossaries.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. The server may return fewer glossaries than requested. If unspecified, the server picks an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of \[ListGlossariesResponse.next_page_token\] returned from the previous call to `glossaries.list` method. The first page is returned if `pageToken`is empty or missing. |
| `filter` | `string` Optional. Filter specifying constraints of a list operation. Specify the constraint by the format of "key=value", where key must be "src" or "tgt", and the value must be a valid language code. For multiple restrictions, concatenate them by "AND" (uppercase only), such as: "src=en-US AND tgt=zh-CN". Notice that the exact match is used here, which means using 'en-US' and 'en' can lead to different results, which depends on the language code you used when you create the glossary. For the unidirectional glossaries, the "src" and "tgt" add restrictions on the source and target language code separately. For the equivalent term set glossaries, the "src" and/or "tgt" add restrictions on the term set. For example: "src=en-US AND tgt=zh-CN" will only pick the unidirectional glossaries which exactly match the source language code as "en-US" and the target language code "zh-CN", but all equivalent term set glossaries which contain "en-US" and "zh-CN" in their language set will be picked. If missing, no filtering is performed. |

### Request body

The request body must be empty.

### Response body

Response message for glossaries.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "glossaries": [ { object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries#Glossary`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `glossaries[]` | ``object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries#Glossary`)`` The list of glossaries for a project. |
| `nextPageToken` | `string` A token to retrieve a page of results. Pass this value in the \[ListGlossariesRequest.page_token\] field in the subsequent call to `glossaries.list` method to retrieve the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-translation`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).